Confirmed SKY3DS & SKY3DS+ support the newest Nintendo 3DS V11.4.0-37!

Good news! Today, Nintendo official team updated the 3DS system to V11.4.0-37. It’s competible with New 3DS3DS XL, Old 3DS/3DS XL, 2DS.

As usual, we updated our 3DS to the newest system, then download the newest 3DS game Poochy & Yoshi’s Wooly World, and tested with sky3ds & sky3ds+, it’s confirmed both of the cards works very well on the new 3DS firmware V11.4.0-37, please check the below evdience pictures.

1346